#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
  CREATE ROLE student
    WITH
    NOLOGIN
  ;

  CREATE ROLE student_gast
    WITH
    LOGIN
    PASSWORD '${STUDENT_PASSWORD}'
    IN ROLE student
  ;
  REVOKE ALL PRIVILEGES ON DATABASE postgres FROM student, student_gast;
  GRANT CONNECT ON DATABASE postgres TO student;

  REVOKE ALL ON SCHEMA public FROM public;
  REVOKE ALL ON ALL TABLES IN SCHEMA public FROM public, student, student_gast;
  DROP SCHEMA public;
EOSQL
