#!/bin/bash
set -e

users=`cat /docker-entrypoint-initdb.d/users`

for user in $users ;
do
    echo Creating user $user
    user_pw=`echo -n $user | md5sum | cut -c -5`

    psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
    CREATE USER $user;
    CREATE DATABASE $user;
    REVOKE connect ON DATABASE $user FROM PUBLIC;
    GRANT ALL PRIVILEGES ON DATABASE $user TO $user;
    ALTER USER $user WITH PASSWORD '$user_pw';
    GRANT pg_read_server_files TO $user;
EOSQL

    #echo Creating user sample database
    #echo $user_pw | psql -W --username $user --dbname $user -f /docker-entrypoint-initdb.d/sample/golf.sql
    #echo $user_pw | psql -W --username $user --dbname $user -f /docker-entrypoint-initdb.d/sample/dvdrental.sql

done
